#
# spec file for package NetworkManager-strongswan
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           NetworkManager-strongswan
Version:        1.3.1
Release:        9.2
Summary:        NetworkManager VPN support for strongSwan
License:        GPL-2.0+
Group:          Productivity/Networking/System
Url:            http://www.strongswan.org/
Source0:        http://download.strongswan.org/NetworkManager/%{name}-%{version}.tar.bz2
Source1:        README
# PATCH-FIX-UPSTREAM nm-strongswan-service-conf.patch binli@opensuse.org -- Dismiss the rpmlint warning for 'send_interface'
Patch0:         nm-strongswan-service-conf.patch
# PATCH-FIX-UPSTREAM nm-strongswan-UI-fixup.patch boo#944769 dimstar@opensuse.org -- Fix broken UI
Patch1:         nm-strongswan-UI-fixup.patch
# PATCH-FIX-UPSTREAM nm-strongswan-fix-config.patch boo#944769 dimstar@opensuse.org -- Fix path to NM plugins in config file
Patch2:         nm-strongswan-fix-config.patch
BuildRequires:  intltool
# Needed by patch2
BuildRequires:  libtool
BuildRequires:  pkgconfig(NetworkManager) >= 0.9.0
BuildRequires:  pkgconfig(dbus-glib-1) >= 0.30
BuildRequires:  pkgconfig(gnome-keyring-1)
BuildRequires:  pkgconfig(gtk+-2.0) >= 2.6
BuildRequires:  pkgconfig(libgnomeui-2.0)
BuildRequires:  pkgconfig(libnm-glib)
BuildRequires:  pkgconfig(libnm-glib-vpn)
BuildRequires:  pkgconfig(libnm-util)
Requires:       %{name}-frontend
Requires:       NetworkManager >= 0.9.0
Requires:       strongswan-nm >= 5.0.1
Recommends:     %{name}-lang
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
ExcludeArch:    s390 s390x

%description
NetworkManager-strongswan provides VPN support to NetworkManager for
strongSwan.

%package gnome
Summary:        NetworkManager VPN support for strongSwan
Group:          Productivity/Networking/System
Requires:       %{name} = %{version}
Requires:       NetworkManager-gnome >= 0.5.1
Provides:       %{name}-frontend

%description gnome
NetworkManager-strongswan provides VPN support to NetworkManager for
strongSwan.

%lang_package
%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
cp %{SOURCE1} README.SUSE

%build
# Needed by patch2
autoreconf -fiv
%configure\
	--disable-static \
	--disable-more-warnings
%__make %{?_smp_flags}

%install
%makeinstall
%find_lang %{name} %{?no_lang_C}
find %{buildroot}%{_libdir} -name '*.la' -delete -print

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README.SUSE
%dir %{_sysconfdir}/NetworkManager/VPN
%config %{_sysconfdir}/NetworkManager/VPN/nm-strongswan-service.name
%config %{_sysconfdir}/dbus-1/system.d/nm-strongswan-service.conf

%files gnome
%defattr(-,root,root,-)
%{_libdir}/NetworkManager/libnm-strongswan-properties.so
%{_libexecdir}/nm-strongswan-auth-dialog
%{_datadir}/gnome-vpn-properties/

%files lang -f %{name}.lang

%changelog
* Tue Sep  8 2015 dimstar@opensuse.org
- Add nm-strongswan-fix-config.patch: Fix path to NM plugins in
  config files (boo#944769).
- Add nm-strongswan-UI-fixup.patch: Fix broken UI (boo#944769).
- Add libtool BuildRequires and call to autoreconf, as above patch
  touches the build system.
* Wed Jun 10 2015 dimstar@opensuse.org
- Drop the sed hack to fix bnc#824079: since verson 1.3.1, the
  charon binary to be found is already called charon-nm by
  upstream (boo#934129).
- Clean out conditions for legacy openSUSE versions: we will always
  require strongswan > 5 as a consequence (which is correct, as
  that's when charon-nm was introduced).
* Fri Apr 25 2014 dimstar@opensuse.org
- Update to version 1.3.1:
  + Add PSK support.
  + Updated translations.
* Mon Mar 31 2014 dimstar@opensuse.org
- Pass --disable-more-warnings to configure: deal with deprecations
  in libraries (like libgnome-keyring).
* Mon Jun 10 2013 i@marguerite.su
- fix bnc#824079: "program" in nm-strongswan-service.name points
  to a wrong binary
* Fri Mar  1 2013 dimstar@opensuse.org
- Spec-cleanup using format_spec_file service.
* Thu Sep 29 2011 vuntz@opensuse.org
- Move to pkgconfig()-style BuildRequires:
  + Old ones: NetworkManager-devel, libglade2-devel,
    libgnomeui-devel, libgudev-1_0-devel.
  + New ones: NetworkManager, dbus-glib-1, gnome-keyring-1,
    gtk+-2.0, libgnomeui-2.0, libnm-glib,libnm-glib-vpn,
    libnm-util.
- Remove unneeded update-desktop-files BuildRequires.
* Wed Sep 28 2011 dimstar@opensuse.org
- Update to version 1.3.0:
  + Updated to NetworkManager 0.9
* Mon Dec  6 2010 vuntz@opensuse.org
- Update to version 1.2.0:
  + Added Smartcard support
- Remove unneeded dependencies: NetworkManager-gnome,
  perl-XML-Parser.
- Make sure to install README from the source package (as
  README.SUSE).
* Fri Nov 19 2010 binli@opensuse.org
- Add the 1.1.2's package.
